About
This manual contains answers for frequently asked questions.

Authors:
  • Viachaslau Kastko aka Soolo
  • Taras Trofimchuk aka Tarik
  • Artem Izmaylov
© Artem Izmaylov, 2006-2018
Free Audio Player
www.aimp.ru


Did you know that…
Did you know that…
  • Player
  • Playlist
  • Music Library


Did you know that…
Common
  • If you want to re-install operation system, you just have to back-up Profile folder, to keep all your marks, playlists and settings

  • To launch one more player copy use /DEBUG command-line switch

  • Just drop the archive with addon (skins, plugins or icons) to main window of application to install it

Controls
  • Click at slider with pressed Shift key to jump to position under mouse cursor

  • Click at some buttons (for example, “Stop”, “Repeat”, “Equalizer”, “Playlist”) via Right Mouse Button provides context menu with advanced options
  • To exit a capturing mode while changing value of slider, press Escape key

  • To reset track bar value (for example, Balance or Preamp track bars) click via right mouse button on it

Hidden Options
  • To disable arrow which appears when you move mouse to screen bounds (while player is docked), set parameter DockEngineShowFloatArrow to "0" in AIMP.ini file *

  • To disable cascade context menu change Cascade=0 parameter in AIMP-ContextMenu.ini file *

  • Parameter ShowErrorDialog from AIMP.ini file can switch-off notification windows which displays in case of errors with connection to Internet Radio or attempt to play nonexistent file in playlist *

    • * Make sure that player is not running!

Windows
  • There is a alternate way to hide to task bar / to tray right-click on Minimize button

  • To quick hiding of the player window use double-click on its main window or mini player's window

  • You can dock AIMP windows to screen edges


Did you know that…
Common
  • Click on any track in playlist via Left Mouse Button with pressed Alt key provides QFI window with extended information about the track

  • Moving files to another playlist via Drag-n-Drop with pressed Alt key will cut it from source playlist.

  • Press F3 key twice to jump to active track in this playlist

  • To quickly hide / show all groups in playlist use left-click on Hide / Show button of group with pressed Alt key

  • You can invert selection in playlist via Num * key

  • To cancel scrolling and rollback the position to previous value move mouse cursor out from scroll bar area more than 150 px and release mouse button

Bookmarks
  • If you start playback of the bookmark with pressed Alt key - track will start playing from beginning (ignores stored position)

Playlists Tabs
  • If drop few directories to Playlists Manager window, each folder will be placed in separate playlist.

  • If you afraid to close playlist by accident, you can lock it in personal settings. But in this case you won't be able to add or remove files from it.

  • You can close playlist via Middle Mouse Button click on its tab

  • You can restore closed playlist via Playlist Manager (see RMB at playlist tab -> Managing Playlists)

  • You can scroll playlist tabs without activating it via mouse wheel with pressed Ctrl key

  • The "previous / next playlist" command that called via global hotkey will start the "previous / next playlist" instead of switching playlist tabs that happened via local hotkey

Queue
  • To set track to queue you can use middle mouse button and to remove it - Alt + Middle Mouse button.

  • You can set all files from group to queue by middle mouse button clicking on group caption.


Did you know that…
  • In the Audio Library you can set labels for each file (click via RMB -> Labels, or click via RMB in Labels column). You can use labels for sorting / grouping files by custom parameters

  • Press the CTRL key while scroll the content via mouse wheel to increase scrolling speed.

  • To switch off sorting by the column click on it header few times (while sorting arrow is visible)

  • To refresh content of the music library table use the F5 keyboard key.

  • To change scale of thumbnails in Album Thumbnails view of music library table use the mouse wheel with pressed CTRL key.

  • In the Audio Library and Tags Editor you can sort the table by multiple columns: to do this just click on column with pressed CTRL key.

  • For group files by specified tag field just click on its value with pressed Ctrl key:

  • Incremental search is available for each drop down list in Audio Library and Tags Editor:

  • To apply best fit to column - double click on separator between the column and next neighbor. To apply best fit to all columns - press the CTRL+"Num+" hotkey
    • © Artem Izmaylov, 2006-2018


F.A.Q.
F.A.Q.
  • AIMP for Win64 / MacOS X / Linux
  • AIMP Installer
  • Addons (Plug-ins / skins / icons)
  • Audio Library
  • Cover arts
  • Functionality
  • Hotkeys
  • Internet Radio
  • Mini player
  • Playback
  • Playlist
  • Problems (Bugs / Slow working / Hangs)
  • Settings (Backup / Restore / Reset)
  • Skin Engine
  • Visualization


AIMP for Win64 / MacOS X / Linux
AIMP for Win64 / MacOS X / Linux
  • Do you have any plans to create 64-bit version of the program?
  • Is there any AIMP versions archive?
  • Will the player be ported to another operating systems (Unix-like, Linux, Mac OS)?


F.A.Q.
Question:
    Do you have any plans to create 64-bit version of the program?

Answer:
    There are no such plans in the near future. Most of the third-party used libraries don't have x64 versions


F.A.Q.
Question:
    Is there any AIMP versions archive?

Answer:
    You can find archive of the release builds and, of course, the latest version of AIMP on our site.


F.A.Q.
Question:
    Will the player be ported to another operating systems (Unix-like, Linux, Mac OS)?

Answer:
    AIMP for Android you can download in Google Play.
    We do not plan to port AIMP to other systems.
    You can try to use Wine to run it under the Linux and some other Unix-like operating systems.


AIMP Installer
AIMP Installer
  • After I have installed the latest build all settings are reset
  • Command line switches
  • Error 'Cannot open file' is occurred during the installation


F.A.Q.
Question:
    I would like to keep player settings when it is updated. After I installed the latest build I was unpleasantly disappointed that all of them are reset...

Answer:
    It always backups copy of the previous installation before the update in \AIMP\!Backup folder. You can restore the settings from there.


F.A.Q.
Usage
    aimp_setup.exe <command 1> <command 2> ...
List of supported commands
  • /AUTO="Destination Folder"
    - Automatic install to destination folder.

    • (AIMP will be installed to the default folder If "Destination Folder" is not set)

  • /PORTABLE
    - Installing portable version of AIMP, if its available.

    • (Used within /AUTO switch, incompatible with /UPDATE switch)

  • /UPDATE
    - Force update mode, if update mode is not available installation will be aborted.

    • (Used within /AUTO switch, incompatible with /PORTABLE and /SILENT switches)

  • /SILENT
    - Do not show GUI.

    • (Used within /AUTO switch, incompatible with /UPDATE switch)

  • /RUN
    - Run the application after install.

    • (Used within /AUTO switch)


F.A.Q.
Question:
    Error "Cannot open file C:\Program Files (x86)\AIMP\%filename%" is occurred during the installation of new AIMP version. Access is denied.".

Answer:
    1) Make sure you have write permissions to the folder
    2) Make sure that there is no file in the folder with the same name, and it is not locked by any program
    You can use the Unlocker utility to find out what program locks the file

    Sometimes changing / deleting a file can be blocked by the process cidaemon.exe, which is responsible for indexing files for quick search of information. Files have property which allows removing it from indexing queue, thus solves the problem (you may need to restart the computer).

    Sometimes when you update the player this error may occurs:

    This error occurs if file "aimp_menu32/64.dll" is locked (sometimes by Windows Explorer). You can choose one of these three actions:
    - "Abort" - installation will be canceled;
    - "Retry - should be pressed after the file has been unlocked manually (for example, via Unlocker utility);
    - "Ignore" - skips the locked file.


Addons (Plug-ins / skins / icons)
Addons (Plug-ins / skins / icons)
  • How can I install additional icons for files?
  • How can I install downloaded skin?
  • How can I install plug-in?
  • How can I switch off window, which appears at the top of the screen on playback start?
  • What types of plug-ins from WinAmp are supported by AIMP?
  • Why Last.fm scrobbling doesn’t work?


F.A.Q.
Question:
    How can I install additional icons for files?

Answer:
    1. Extract archive with icons and copy *.dll file to the "\AIMP\Icons" directory.

    2. Go to "Preferences \ System \ File Associations" and choose new icon pack:

    3. Don't forget to associate file types with AIMP.


F.A.Q.
Question:
    How can I install downloaded skin?

Answer:
    1) Unpack archive with skin
    2) Go to Main menu \ Preferences \ Interface \ Skins and open unpacked skin:

    3) Apply selected skin via mouse double click


F.A.Q.
Question:
    How can I install plug-in?

Answer:
    Each plugin have a personal work folder for now. Name of folder should be equals to plugin name (without extension).
    Note for visual plugins: you should change the .svp extension to the .dll

    Plug-ins enabling
    By default player uses all plug-ins which are located in %AIMP%\Plugins folder. So, to connect plug-in you just need to copy it to %AIMP%\Plugins folder and re-launch player.

    Plug-ins can also be enabled manually:
    • Copy it (plugin folder) to the %AIMP%\Plugins
    • Open player main menu, item "Plugins"
    • In this window choose needed tab (it depends on plug-in type)
    • Check it (on the left from its name)
    • In case of successfully loading plug-in will be available for usage

    Plug-ins disabling
    • Open player main menu, item "Plugins"
    • In this window choose needed tab (it depends on plug-in type)
    • Uncheck it on the left from its name, (it won’t be removed physically)

    Plug-ins settings
    If plug-in has possibility for customizing, it will be "..." button near its name. Press this button to open settings window.


F.A.Q.
Question:
    How can I switch off window, which appears at the top of the screen on playback start?

Answer:
    Go to "Preferences \ Plugins \ Information Line" and switch off "Show current file info on playback start" option.


F.A.Q.
Question:
    What types of plug-ins from WinAmp are supported by AIMP?

Answer:
    There are some types of plug-ins from WinAmp which are supported by AIMP: General and DSP.

    See also: How can I install plug-in?


F.A.Q.
Question:
    Why Last.fm scrobbling doesn’t work?

Answer:
    Enable the "Last.fm Support" plug-in via the Plugins Manager and configure it via the Options \ Plugins \ Last.fm option frame.


Audio Library
Audio Library
  • All statistics has been dropped after I have renamed or moved file. How can I restore it?
  • How can I backup data base?


F.A.Q.
Question:
    All statistics has been dropped after I have renamed or moved file. How can I restore it?

Answer:
    1. To move files without loss marks need to use the corresponding function of audio library (File context menu \ Send file \ Move to ...)

    2. AIMP Audio Library has special functionality for an ability to restore marks and statistics for moved files (see "Main Menu \ Data Base \ Misplaced files" or "Misc menu \ Misplaced files").
    This function displays list of the files with bad links in database. It happens if file was removed, moved to another folder or renamed.

    For searching these files open Audio Library main menu and choose "Database \ Missing files", after that dialog with the same name will appear. After the searching it shows you missing files.

    After the search if files were removed physically – delete links on them from database.
    To delete them select files and press “Remove selected” button. For deleting all files choose item “Remove all found files”.

    If files were renamed or moved to another folder, you can use auto-search, which is based on file name and attempts to find files with bad links.
    To use it press “Search…” and choose folder with new files in appeared dialog.

    Some times files renamed and moved, if auto-search cant help in these cases, try to use one of two ways:

    • 1. Delete files with bad links and add them again – but all statistics and marks for these files will be lost.

    • 2. Set name for file manually – to do this just double click on it in list (or press “…” button in the right). If you do this all file statistics will be kept. To apply changes, press “Replace checked”.


F.A.Q.
Question:
    How can I backup all player's settings?

Answer:
    Just backup profile folder.


Cover arts
Cover arts
  • Cannot download album art from Internet
  • Find and download cover art from the Internet
  • Where player take cover arts for the track from?


F.A.Q.
Question:
    Internet radio / Cannot download album art from Internet / Internet Radio Browser do not work although an Internet connection is active

Answer:
    Something (firewall, antivirus) blocks access to the Internet for AIMP. Try to add AIMP to the exceptions. Check proxy settings and timeout (refer to "Preferences \ System \ Connection").


F.A.Q.
Question:
    Is there an ability to download cover art images from the Internet automatically?

Answer:
    No, but you can do it manually:
    Launch "Quick Tag Editor" (F4) or "Advanced Tag Editor" (CTRL+T), click via RMB on cover art display, and select "Get cover art" menu item.


F.A.Q.
Question:
    Where player take cover arts for the track from?

Answer:
    Searching algorithm
    • Search in the cache data base
    • Search in the file tags
    • Search in the folder, where the file is located (refer to the "Main menu \ Preferences \ Player \ Album Art" for customization)
      • Search for images with the same name as the file
      • Search for images, whose name contains "folder" word
      • Search for images, whose name contains "front" word
      • Search for images, whose name contains "cover" word
      • Search for images in the Cover sub-folder
      • Search for images in the Scan sub-folder
      • Just any image in the folder
    • Search in the Internet

    Supported formats
    • Loads from file -
      JPG, PNG, BMP
    • Loads from folder -
      JPG, PNG, BMP, GIF, TIFF


Functionality
Functionality
  • AIMP is missing from Windows Explorer context menu. How can I add it?
  • Command line switches
  • How can I switch off window, which appears at the top of the screen on playback start?
  • How can I switch on / off 'stay on top most' mode?
  • Is it possible to run multiple instances of the player?
  • What type of tag will use by AIMP first?
  • Where is Audio Recorder utility?
  • Why alarm clock does not wake up computer from sleep mode?
  • Why Last.fm scrobbling doesn’t work?


F.A.Q.
Question:
    AIMP is missing from Windows Explorer context menu. How can I add it?

Answer:
    Make sure that "Add to Explorer context menu" option is switched on (see "Preferences \ System")

    If first way does not give any results, please try to do following steps:
    1) Uncheck all options in the "Options \ Integration" page
    2) Apply changes and close the application
    3) Restart the computer
    4) Remove aimp_menu.ini from ?:\Users\<UserName>\AppData\Roaming\\AIMP\ folder

    5) Restore options state in the "Options \ Integration" page
    6) Apply changes


F.A.Q.
Usage
    AIMP.exe <command> <parameter 1> <parameter 2> ...
    Tip 1. Some commands don't have parameters
    Tip 2. Parameter value should be enclosed in double quotes

List of supported commands
  • /ADD_PLAY - Add objects to a playlist and start playing.

    • “object” is a playlist, folder or file
    Input parameters - the paths to objects

  • /BOOKMARK - Add files and / or folders to your bookmarks.

    • Input parameters - path to the files and / or folders

  • /DIR - Add folder(s) to the playlist.

    • Whether playing of added the files starts, depends on the player settings
    Input parameters - path to folder

  • /FILE - Add file(s) to the playlist.

    • Whether playing of added the files starts, depends on the player settings
    Input parameters - path to file

  • /INSERT - Add objects to the active playlist.

    • Whether playing of added the files starts, depends on the player settings
    “object” is a playlist, folder or file
    Input parameters - the path to objects

  • /QUEUE - Add objects to the active playlist and put them in custom playback queue.

    • “object” is a playlist, folder or file
    Input parameters - the path to objects

  • /RESTORE - Bring player to top.

    • Input parameters are not used

  • /SKIN - Install skins to AIMP. After installation, opens the Preferences window on the choice of skin.

    • Input parameters - the path to skin

  • /PLS - Opens playlists in new tabs.

    • Whether playing of playlist starts, depends on the player settings
    Input parameters - path to the playlist

  • /CDA - Creates a new playlist with a list of files from a specified media and starts its playback.

    • Input parameter - [!] only one - drive letter

  • /PLAY - Start playing.

    • Input parameters are not used

  • /PLAYPAUSE - Start playing / Pause playback.

    • Input parameters are not used

  • /PAUSE - Pause playback.

    • Input parameters are not used

  • /STOP - Stop playback.

    • Input parameters are not used

  • /NEXT - Next file.

    • Input parameters are not used

  • /PREV - Previous file.

    • Input parameters are not used

  • /MUTE - Mute / Unmute .

    • Input parameters are not used

  • /VOLUP - Increase volume.

    • The step of increasing volume is set in options. See "Preferences \ Player"
    Input parameters are not used

  • /VOLDWN - Reduce Volume.

    • The step of reducing volume is set in options. See "Preferences \ Player"
    Input parameters are not used

  • /EXIT - Exit from the app.

    • Input parameters are not used

List of supported commands for Elevator.exe
  • /REG=R1 - Switch on files associations with player.
  • /REG=R2 - Set the player as default application.
  • /REG=U - Switch off all integrations with Windows.


F.A.Q.
Question:
    How can I to switch on / off "stay on top most" mode?

Answer:
    This can be done using the context menu:


F.A.Q.
Question:
    Is it possible to run multiple instances of the player?

Answer:
    Install two copies of player in portable mode to different folders. After it, run AIMP with the /DEBUG command line switch.


F.A.Q.
Question:
    What type of tag will use by AIMP first, ID3v1, ID3v2 or APEv2?

Answer:
    AIMP displaying mixed data, which has been combined from all available tags.
    The priority given to specified field if one of following conditions is true:
    1. Value has UTF-8 or UTF-16 encoding
    2. Length of value is greater


F.A.Q.
Question:
    Where is Audio Recorder utility?

Answer:
    Audio Recorder utility is not longer developed and supported.


F.A.Q.
Question:
    Why alarm clock does not wake up computer from sleep mode?

Answer:
    Make sure that this functionality is allowed in your OS settings:


Hotkeys
Hotkeys
  • The player has no reaction on pressing multimedia keys
  • The special multimedia keys changes system volume instead of player's
  • When I double-click on a playlist, 'Browse Folder' dialog invokes


F.A.Q.
Question:
    The player has no reaction on pressing multimedia keys.

Answer:
  • Make sure that no other application is running which can use multimedia keys.
  • Try to delete file aimp_mediakeys.dll, located in the "\AIMP4\Modules" folder.
  • Some special software for keyboards can block multimedia keys for "unknown" application. Try to uninstall this software.


F.A.Q.
Question:
    The special multimedia keys changes system volume instead of player's.

Answer:
    Make sure that this multimedia keys are associated with AIMP. See "Preferences \ Player \ Hotkeys".


F.A.Q.
Question:
    When I double-click on a playlist, "Browse Folder" dialog invokes. How can I fix it?

Answer:
    This problem occurs with some mouse models.
    Try to delete shortcut CTRL + Ins in the settings.


Internet Radio
Internet Radio
  • How to capture Internet Radio?
  • Internet radio / Radio browser do not work although an Internet connection is active
  • Player does not show any information about the playable track during radio playback


F.A.Q.
Question:
    How to capture Internet Radio?

Answer:
    AIMP allows you to record track which is currently played on the Internet radio station.

    To capture data from the Internet radio-station you should:
    1. Add link to audio stream via “URL” item in "add files" menu or “Internet Radio Browser” plug-in

    2. Double click on item in the playlist to start playback

    3. Find "Radio capture" button in the Main Window.

    It allow you to start / stop data capturing. Button will flashing If data capturing is active.

    Settings is located in Main menu \ Preferences \ Player \ Internet Radio Capture.


F.A.Q.
Question:
    Why player does not show any information about the playable track during radio playback? How can I fix it?

Answer:
    It depends from the radio station that should send this information about the playable track.

    Also try to change User-Agent (see "Preferences \ Connection options").


Mini player
Mini player
  • How can I to switch on / off 'stay on top most' mode?
  • How to disable the mini player?
  • Where is the main player window disappeared (playlist or mini player)?
  • Why the mini player cannot be displayed above of the taskbar?


F.A.Q.
Question:
    How to disable the mini player?

Answer:
    Right-click on the tray icon and uncheck the "Show the mini player" item, or go to Main menu \ Preferences \ System \ Tray and uncheck the "Show the mini player at minimizing to tray" option.


F.A.Q.
Question:
    Where is the main player window disappeared (playlist or mini player)?

Answer:
    Try to restart player.
    If it doesn’t work: close AIMP, find the file AIMP-SkinLayout.ini in the profile folder and delete it.


F.A.Q.
Question:
    Why the mini player cannot be displayed above of the task bar?

Answer:
    Task bar always displaying on topmost and have higher priority level.


Playback
Playback
  • Error occurs when starting playback, if WASAPI Exclusive is using for output
  • Is it possible for the equalizer to adjust to the current track automatically?
  • Is it possible to play protected files?
  • Player hangs at the end of each track on changing it to another one
  • Some of the mp3-files player plays not to the end
  • Sounds from another applications cannot be heard when AIMP is running
  • Speakers are crackling when equalizer is using
  • The player does not start playback
  • There is no sound when I try to play MIDI / KAR file
  • Track speed has been increased / decreased
  • Video support in AIMP
  • What is the meaning of the “Save player state during the playlist navigation via next / previous file” option?
  • Why AIMP cannot play some of declared files formats?


F.A.Q.
Question:
    Error occurs when starting playback, if WASAPI Exclusive is using for output.

Answer:
    Make sure that you have allowed exclusive access to this audio device and its has higher priority than shared mode:


F.A.Q.
Question:
    Is it possible for the equalizer to adjust to the current track automatically?

Answer:
    To do this you should enable “Auto-adjust equalizer preset for a track” option (refer to Main menu \ Preferences \ Player \ Automatics). Information about the genre must be present in tag.


F.A.Q.
Question:
    Is it possible to play protected files?

Answer:
    No, player doesn't have this ability.


F.A.Q.
Question:
    Player hangs at the end of each track on changing it to another one. It repeats words for several times and only then it switches to the next track. How to solve this problem?

Answer:
    Have you installed plug-ins from WinAmp? The problem can be, this plug-in is incompatibility with the AIMP. Try to disable all third-party plug-ins and find which one is incompatible.


F.A.Q.
Question:
    Some of the mp3-files player plays not to the end, so it prematurely moves to the next file. What can be the problem?

Answer:
    In most cases, these files are corrupted ("bad"). BASS, which is used as an audio decoder, can not play these files.
    Perhaps in the future AIMP will get his own mp3-decoder, which will solve this problem.


F.A.Q.
Question:
    Sounds from another applications cannot be heard when AIMP is running.

Answer:
    I think, you have selected ASIO or WASAPI Exclusive output interface for playback. This interfaces use exclusive access to device. So, sounds from another applications cannot be heard.
    I suggest you to use WASAPI or DirectSound output interface.


F.A.Q.
Question:
    Speakers are crackling when equalizer is using.

Answer:
    Try to reduce the Preamp (refer to Main Menu \ DSP-Manager \ Equalizer).


F.A.Q.
Question:
    The player does not start to play. Settings are correct, but when I click on the "Play" button - AIMP starts playback, but there is no sound. What's the problem?

Answer:
    You have no any selected audio output device. Go to: Main menu \ Preferences \ Playback - select the appropriate device and output method. Click "Apply" button.


F.A.Q.
Question:
    There is no sound when I try to play MIDI / KAR file

Answer:
    1) Make sure you have installed and switched on bass_midi.dll plug-in (see "Preferences \ Plugins \ Input")
    2) Now, it is necessary to find and download a sound bank (file in .sf2 format)
    3) Place the sound bank to the %AIMP%\Plugins\ folder.
    4) Restart the player

    You can download small sound bank by Creative here.
    This archive also contains the license agreement from Creative. This sound bank is only for non-commercial purposes!


F.A.Q.
Question:
    Track speed has been increased / decreased, echo or distortion has appeared.

Answer:
  • Open the DSP-Manager (see Main Menu \ DSP-Manager) and reset all the sliders to their default values (right-click on a slider)
  • Try to do following:
    • Click on the "Start" button \ Run \ Type "dxdiag.exe" and press "Enter" \ switch to "Sound" tab
    • Check that full acceleration is enabled


F.A.Q.
Question:
    Why AIMP does not support video? Will it be supported in the future?

Answer:
    AIMP has been designed and developed as an audio player and support of video is not planned.


F.A.Q.
Question:
    What is the meaning of the “Save player state during the playlist navigation via next / previous file” option?

Answer:
    If the option is disabled, than if you navigate via "next / previous file", AIMP starts playing the track (even it was stopped). If you enable this option, click on these buttons - the player will stay in mode which it has before.


F.A.Q.
Question:
    Why AIMP cannot play some of declared files formats?

Answer:
    Perhaps you have disabled input plug-in for the corresponding file format, check it in Plugins Manager (see Main menu \ Preferences \ Plugins \ Input).


Playlist
Playlist
  • Appearance of one of the playlists is different from another
  • How can I resize playlist window by width?
  • How can I sort the playlist by mark?
  • How can I switch on rating stars in playlist?
  • How to switch off the second line in the?
  • In what cases player automatically catches-up CUE Sheet?
  • I can not add files / folders by dragging them to the playlist
  • I have closed wrong playlist. How can I restore it back?
  • Menu item 'Insert after current' is disabled.
  • Playlist does not jump to playable file automatically
  • Playlist Window Modes
  • [!] Smart Playlist
  • When I double-click on a playlist, 'Browse Folder' dialog invokes
  • Where can I find a list of available macros?
  • Why files always opens in 'Default' playlist via Drag-n-Drop


F.A.Q.
Question:
    Appearance of one of the playlists is different from another.

Answer:
    Each playlist, in addition to common appearance settings ("Preferences \ Playlist \ Appearance"), has its individual appearance settings:


F.A.Q.
Question:
    How can I resize playlist window by width?

Answer:
    Make sure, that the playlist window has been undocked from main window.


F.A.Q.
Question:
    How can I sort the playlist by mark?

Answer:
    You can do it via custom sorting based on templates (see "Preferences \ Sort by template").

    see "Sort files" menu -> "Sort by template"


F.A.Q.
Question:
    How can I switch on rating stars in playlist?

Answer:
    Switch on "Show marks" option in the Main menu \ Preferences \ Playlist \ Appearance.


F.A.Q.
Question:
    How to switch off the second line in the playlist with additional information and rating stars?

Answer:
    All of this and much more can be changed via the "Settings \ Appearance options".
    If you want to disable the second line only for one specific playlist, you can do this in its personal settings.


F.A.Q.
Question:
    In what cases player automatically catches-up CUE Sheet?

Answer:
    1. The CUE Sheet is in one of tag fields of source audio file
    2. The CUE Sheet has the same name as the source audio file without regard to extensions, and the CUE Sheet should describe only this file

    Otherwise, you have to add to playlist the CUE Sheet file itself


F.A.Q.
Question:
    I can not add files / folders by dragging them to the playlist. What could be the problem?

Answer:
    Make sure the program is run under your user account and not as an administrator.


F.A.Q.
Question:
    I have closed wrong playlist. How can I restore it back?

Answer:
    You can restore closed playlist via Playlist Manager (see "RMB at playlist tab \ Managing playlists")


F.A.Q.
Question:
    For some reason the menu item "Insert after current" is disabled. What should I do?

Answer:
    You need to uncheck "Merge similar categories automatically" in the appearance settings of the playlist (see Main menu \ Preferences \ Playlist \ Appearance) or in the personal settings of given playlist.


F.A.Q.
Question:
    Playlist does not jump to playable file automatically. How can I find it?

Answer:
    Automatic jumping works only if AIMP application is non-active (running in background and mouse pointer is out from window).
    You can find playable file manually, use "Show current" command from "Misc" menu.


F.A.Q.
You can make playlist separated windowor, vice versa, docks it to Main window.
How to do it:
  • Press Left Mouse Button down on Playlist window caption (on any free space of Playlist window)
  • Drag window away from Main window (if you want to make it separated) or to Main window (if you want to dock it)
  • Release mouse button:

Playlist can act as desktop tool bar. To do this:
  • Press Left Mouse Button down on the Playlist window caption (on any free space of Playlist window)
  • Drag window to a screen edge
  • When cursor reaches the screen border, Playlist window's frame stretches by the Desktop height
  • Release mouse button – now playlist is docked to screen border:

When program becomes inactive, playlist hides. To show playlist you need to move cursor to the screen border – marker appears. Click on it to return playlist on the screen.

Note 1: On the moving files into playlist via Drag and Drop it's not necessary to pull playlist out – drop files to marker and they will be added to the end of current playlist.

Note 2: If you hold cursor on marker during the files moving for some time – playlist appears.


F.A.Q.
Question:
    Is there an ability to synchronize playlist with directory automatically?

Answer:
    Manual synchronization:
    • Separate removing and adding:
      • Removing: "Remove files" menu -> "Remove missing"
      • Adding: "Misc" menu -> "Find New Files"
    • Synchronization with preimage:
      • Step 1 (Setup preimage for playlist): RMB click on playlist tab -> "Manage playlists" -> set preimage (preimage can be a directory or another playlist)
      • Step 2 (Synchronization): "Misc" menu -> "Reload data from preimage"
        The files will be arranged in same order as in preimage

    Automatic synchronization:
      • Click the RMB at playlist tab -> "Managing Playlist" -> set the preimage type (folders or music library), set chosen preimage settings.


F.A.Q.
Question:
    Where can I find a list of macros for playlist / running line / renaming files / sorting files?

Answer:
    Just click via RMB in input field - list with all available macros will pop up.


F.A.Q.
Question:
    I drag'n'drop the file on the Main Window of AIMP, the file opens in a new "default" playlist. But I set another options, how to fix this?

Answer:
    Drag'n'drop to the Main Window can not be adjustable: this function is used for quickly music listening. To configure playlist - drag files to the playlist (to the playlists tab bar).


Problems (Bugs / Slow working / Hangs)
Problems (Bugs / Slow working / Hangs)
  • AIMP strongly loads the processor
  • I got an 0xc0000005 error
  • Player hangs at the end of each track on changing it to another one


F.A.Q.
Question:
    AIMP strongly loads the processor. What should I do?

Answer:
    This problem occurs on old computers with low performance video system. Try to switch off "Smooth transparency" or "Allow per-pixel semi-transparency" (see Main menu \ Preferences \ Interface).
    But with these changes some skins may be displayed incorrectly


F.A.Q.
Question:
    I got an 0xc0000005 error. What is mean?

Answer:
    Usually this error is related to the OS. The reason can be different from registry errors to viruses. Read more.


Settings (Backup / Restore / Reset)
Settings (Backup / Restore / Reset)
  • After I have installed the latest build all settings are reset
  • After I have installed the latest build all statistics in Audio Library are reset. How can I restore it?
  • How can I backup player's settings?
  • Where the application stores its settings?


F.A.Q.
Question:
    Where the application stores its settings?

Answer:
    Just open "Preferences" dialog and click on "profile folder" link.


Skin Engine
Skin Engine
  • AIMP strongly loads the processor
  • How can I change tray icon?
  • There is no blur effect under the window player
  • Why skin does not have semitransparency?


F.A.Q.
Question:
    How can I change tray icon?

Answer:
    Tray icon can be changed via editing of selected skin.


F.A.Q.
Question:
    There is no blur effect under the window player, although a check box is enabled...

Answer:
    1. Skin must support blur too (this feature is specified on the level of the skin by its author)
    2. Blur effect can be applied only on the systems which support Windows AERO: Windows 7 Home Premium or high edition.


F.A.Q.
Question:
    Why skin does not have semi-transparency?

Answer:
    Make sure that "Allow per-pixel semi-transparency" option is switched on (see "Preferences \ Interface").
    It can cause to High CPU usage.


Visualization
Visualization
  • Can I change refresh rate for the 'Spectrum' and 'Visualization' display?
  • Why columns of 'Spectrum display' located on the right never jump?


F.A.Q.
Question:
    Can I change refresh rate for the “Spectrum" and "Visualization" display?

Answer:
    No.


F.A.Q.
Question:
    Why columns of "Spectrum display" located on the right never jump?

Answer:
    AIMP displays all spectrum of frequencies for the file, unlike AIMP2, which displays active part only. For now it is allow you to judge the "quality" of the playing file.